%define subrel  2
Summary: 	Infrastructure to gather information about the running Linux system
Name: 		systemtap
Epoch:		1
Version: 	1.3
Release: 	%mkrel 1
License: 	GPLv2+
Group: 		Development/Kernel
URL: 		http://sourceware.org/systemtap/
Source: 	http://sourceware.org/systemtap/ftp/releases/systemtap-%{version}.tar.gz
Patch0:         systemtap-1.2-CVE-2011-1769.diff
Patch1:		systemtap-1.2-CVE-2010-4170-CVE-2010-4171.diff
Patch2:		systemtap-1.4-CVE-2011-2502.diff
Patch3:		systemtap-1.4-CVE-2011-2503.diff
Buildrequires:	libcap-devel
Buildrequires:	elfutils-static-devel
BuildRequires:	gtkmm2.4-devel
Buildrequires:	libavahi-client-devel
Buildrequires:	latex2html
BuildRequires:	libglade2.0-devel
ExcludeArch:	%mips

%description
SystemTap provides free software (GPL) infrastructure to simplify the gathering
of information about the running Linux system. This assists diagnosis of a 
performance or functional problem. SystemTap eliminates the need for the 
developer to go through the tedious and disruptive instrument, recompile, 
install, and reboot sequence that may be otherwise required to collect data.

SystemTap provides a simple command line interface and scripting language for
writing instrumentation for a live running kernel. We are publishing samples, 
as well as enlarging the internal "tapset" script library to aid reuse and 
abstraction. We also plan to support probing userspace applications. We are 
investigating interfacing Systemtap with similar tools such as Frysk, 
Oprofile and LTT.

Current project members include Red Hat, IBM, Intel, and Hitachi.

%prep
%setup -q
%apply_patches
%build
%configure2_5x
%make


%install
# cd src
%makeinstall

# we add testsuite with a lot of examples
install -m 766 -d testsuite $RPM_BUILD_ROOT/%{_datadir}/%{name}/

%files
%doc AUTHORS INSTALL HACKING README
%{_bindir}/dtrace
%{_bindir}/stap*
%{_mandir}/man*/*
%{_libdir}/%{name}/*
%{_datadir}/%{name}/*
%{_includedir}/sys/sdt.h




%changelog

* Sat Apr 14 2012 luigiwalser <luigiwalser> 1:1.3-1.2.mga1
+ Revision: 230758
- fix CVE-2010-4170, CVE-2010-4171, CVE-2011-2502, CVE-2011-2503 (from redhat)

  + dmorgan <dmorgan>
    - Add P0: Fix CVE-2011-1769

  + rtp <rtp>
    - disable systemtap on mips as it's not supported

* Wed Jan 12 2011 ahmad <ahmad> 1:1.3-1.mga1
+ Revision: 7722
- imported package systemtap

